use Config;
use ExtUtils::MakeMaker;
use strict;

my %ARGS = (
	'NAME'                  => 'File::HomeDir::Darwin::FindFolder',
	'VERSION_FROM'          => 'FindFolder.pm',
	'LINKTYPE'              => 'static dynamic',
	'XSPROTOARG'            => '-noprototypes',
	'INC'                   => '-I/Developer/Headers/FlatCarbon/',
	'LDDLFLAGS'             => $Config{lddlflags} . ' -bundle -flat_namespace -undefined suppress -framework Carbon',
	'LDFLAGS'               => $Config{ldflags},
	'CCFLAGS'               => $Config{ccflags} . ' -fpascal-strings'
);

my $bits_are_64 = unpack("L!", pack("LL", 0x12345678, 0x9ABCDEF)) >= 2**32;
my $usrlocal = scalar(grep m|^/\w+/local/|, @INC);
my $defarch = $Config{byteorder} eq 4321
	? 'ppc'
	: $Config{byteorder} eq 12345678
		? 'x86_64'
		: $Config{byteorder} eq 1234
			? 'i386'
			: 'ppc';  # what else can we do?

# set our default architecture just in case it's not set
for (qw(LDDLFLAGS LDFLAGS CCFLAGS)) {
	$ARGS{$_} =~ s|-[LI]/\w+/local/\S+| |g unless $usrlocal > 1;
	if ($Config{+lc} !~ /\barch\b/) {
		$ARGS{$_} .= " -arch $defarch";
	}
}


WriteMakefile(%ARGS);
